Delete notification alert
1 min
DELETE
https://app.amberflo.io/notifications/{notification_id}
Path Parameters
- notification_idstringrequiredDescription
Responses
200
- notification-responseDescription
- objectnotification-put-request
- idstringrequiredDescription
- namestringrequiredDescriptionDefaultToo many api calls
- descriptionstringDescriptionDefaultAlert on too many api calls
- notificationTypestring<usage | usage-cost | invoice | prepaid | pay-as-you-go-promotion | product-item-units | product-item-price | undefined-meter | undefined-customer>DescriptionDefaultusage
- meterIdstringDescriptionDefault24ad0b40-a217-11eb-b01a-19ff91d9370d
- cronstringDescription
- frequencystringDescriptionDefaultevery 1h
- createPrepaidCardbooleanDescription
- prepaidPricenumberDescription
- webhookUrlstringDescriptionDefaulthttps://hooks.slack.com/services/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
- webhookHeadersstringDescription
- webhookPayloadstringDescription
- emailstring[]DescriptionDefault
- emailToCustomerbooleanDescription
- filtermap<string, string[]>Description
- filterByTagsmap<string, object>Description
- groupByDimensionsstring[]Description
- customSubjectstringDescription
- thresholdConditionstring<less-than | greater-than | equals | percent-change | always-true | less-than-percent | greater-than-percent>Defaultgreater-than
- thresholdValuenumberDescriptionDefault1000
- rangestringDescriptionDefaultday
- customerFilterModestring<* | per-customer | specific-customer>DescriptionDefault*
- customerIdstringDescription
- productPlanIdstringDescription
- enabledbooleanDescriptionDefaulttrue
- object
- createTimeintegerDescription
- updateTimeintegerDescription
400
401
403
404
500
curl
curl --request DELETE \
--url https://app.amberflo.io/notifications/{notification_id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/notifications/{notification_id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/notifications/{notification_id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/notifications/{notification_id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// Notification successfully deleted with confirmation details
{
"id": "",
"name": "",
"description": "",
"notificationType": "",
"meterId": "",
"cron": "",
"frequency": "",
"createPrepaidCard": false,
"prepaidPrice": 0,
"webhookUrl": "",
"webhookHeaders": "",
"webhookPayload": "",
"email": [
""
],
"emailToCustomer": false,
"filter": "",
"filterByTags": "",
"groupByDimensions": [
""
],
"customSubject": "",
"thresholdCondition": "",
"thresholdValue": 0,
"range": "",
"customerFilterMode": "",
"customerId": "",
"productPlanId": "",
"enabled": false,
"createTime": 0,
"updateTime": 0
}400
// Invalid notification ID format or malformed request
401
// Missing or invalid API key authentication
403
// Insufficient permissions to access this resource
404
// Notification not found or already deleted
500
// Internal server error occurred while processing request